Subject: bug#17881: 24.4.50; decoding by emacs-mule hangs up

From: [email-masked] (K. Handa)
Date: Sat, 05 Jul 2014 23:13:57 +0900

In article <[email-masked]>, [email-masked] (K. Handa) writes:

> In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:
> > Fixed in trunk revision 117451.

> Thank you for the quick fix!
> But, considering the usage of coding->charbuf, I think the
> following fix is better.  It always allocates 16 units more
> in coding->charbuf.  So, as far as it doesn't reach
> MAX_CHARBUF_SIZE, decoding routines never stop by
> insufficient coding->charbuf.  I'm going to install it as
> soon as I finish several tests.

I've just committed that change to the trunk.

---
Kenichi Handa
[email-masked]